apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: gitops-init
  namespace: openshift-gitops
spec:
  generators:
  - git:
      repoURL: changeit # https://gitlab.com/gitops-public/openshift/private/gitops-init.git
      revision: changeit # env/systex-b30f
      files:
        - path: "gitops-init-git-generator/**/argoapp-config.yaml"

  template:
    metadata:
      name: '{{path.basename}}'
    spec:
      project: '{{appproj}}'
      source:
        repoURL: changeit # https://gitlab.com/gitops-public/openshift/private/gitops-init.git
        targetRevision: changeit # env/systex-b30f
        path: '{{path}}{{subPath}}'
      destination:
        name: in-cluster
        server: ''
        namespace: '{{namespace}}'
